Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.services
Interface PropertyAccess

All Known Implementing Classes:
  PropertyAccessImpl

    public interface PropertyAccess

A wrapper around the JavaBean Introspector that allows more manageable access to JavaBean properties of objects.

Only provides access to simple properties. Indexed properties are ignored.

Starting in Tapestry 5.2, public fields can now be accessed as if they were properly JavaBean properties. Where there is a name conflict, the true property will be favored over the field access.

Method Summary
`void` | `clearCache()` Discards all stored property access information, discarding all created class adapters.
`java.lang.Object` | `get(java.lang.Object instance, java.lang.String propertyName)` Reads the value of a property.
`ClassPropertyAdapter` | `getAdapter(java.lang.Class forClass)` Returns the adapter used to access properties within the indicated class.
`ClassPropertyAdapter` | `getAdapter(java.lang.Object instance)` Returns the adapter for a particular object instance.
`void` | `set(java.lang.Object instance, java.lang.String propertyName, java.lang.Object value)` Updates the value of a property.

Method Detail

### get

    java.lang.Object get(java.lang.Object instance,
                         java.lang.String propertyName)

  Reads the value of a property.

  Throws:
    `java.lang.UnsupportedOperationException` - if the property is write only
    `java.lang.IllegalArgumentException` - if property does not exist

### set

    void set(java.lang.Object instance,
             java.lang.String propertyName,
             java.lang.Object value)

  Updates the value of a property.

  Throws:
    `java.lang.UnsupportedOperationException` - if the property is read only
    `java.lang.IllegalArgumentException` - if property does not exist

### getAdapter

    ClassPropertyAdapter getAdapter(java.lang.Object instance)

  Returns the adapter for a particular object instance. A convienience over invoking `getAdapter(Class)`.

### getAdapter

    ClassPropertyAdapter getAdapter(java.lang.Class forClass)

  Returns the adapter used to access properties within the indicated class.

### clearCache

    void clearCache()

  Discards all stored property access information, discarding all created class adapters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.